Authorization Manager Get Role List

Authorization Manager Get Role List
The currently defined roles in the system, including static system-defined roles.

The currently defined roles in the system, including static system-defined roles.

Required privileges: System.View

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/AuthorizationManager/{moId}/roleList
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case AuthorizationManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "roleId": 0,
        "system": false,
        "name": "string",
        "info": {
            "_typeName": "string",
            "label": "string",
            "summary": "string"
        },
        "privilege": [
            "string"
        ]
    }
]
array of object
Optional

This data object type specifies a collection of privileges used to grant access to users on managed entities.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/AuthorizationManager/{moId}/roleList